Page MenuHomePhabricator

Move WLM-GE lists to Wikidata
Closed, ResolvedPublic

Description

WLM-GE point of contact has requested that we work with them to move their monuments data to Wikidata. (Side-note: they are interested in translating their monuments list to English to make it accessible to a broader audience).

Let's start listing what steps they should take to make this happen. let's use this as an opportunity to list all the steps needed to make the migration happen, we can use the same template for other countries, too:

Event Timeline

Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptJul 30 2017, 4:47 AM
LilyOfTheWest triaged this task as High priority.Jul 30 2017, 4:47 AM
LilyOfTheWest updated the task description. (Show Details)
Yarl added a comment.Jul 31 2017, 12:18 AM

It is doable but will be hard to meet deadline. @JeanFred: do we have it on monuments database?

Yarl added a comment.Jul 31 2017, 12:20 AM

And property for ID is not listed here: https://www.wikidata.org/wiki/Template:Cultural_heritage_properties. We need more details what kind of ID is this.

It is doable but will be hard to meet deadline. @JeanFred: do we have it on monuments database?

@Yarl it was added to Monuments database per T144772.

And property for ID is not listed here: https://www.wikidata.org/wiki/Template:Cultural_heritage_properties. We need more details what kind of ID is this.

I'm looking at three of Georgia's World Heritage sites and I can't find a common national ID for those:
https://www.wikidata.org/wiki/Q19044
https://www.wikidata.org/wiki/Q180810
https://www.wikidata.org/wiki/Q679979

what kind of details can help, @Yarl ?

Yarl added a comment.Jul 31 2017, 9:32 AM

World Heritage Sites in Wikidata are usually separate instance from national monuments due to scope.

Lokal_Profil added a comment.EditedJul 31 2017, 10:28 AM

I have the source data for all of the Georgian monuments. WMSE can take it on ourselves to migrate these. (With translation assistance of the Georgian team)

The Georgian team is ready.

Hi Yarl. I just saw your post in Facebook and so I want to send a link to an official government source to which we refer. This is the site of National agency for cultural heritage preservation of Georgia.

Link: https://www.heritagesites.ge/en
And monuments list: https://www.heritagesites.ge/uploads/files/596e1891dcd14.pdf — Here the monument ID corresponds to its number.

Best regards!

There are also additional sources to which we refer

Ministry of Culture of Georgia

  1. Journals: http://culture.gov.ge/CulturePlus.aspx
  2. Orders: http://culture.gov.ge/ContentMenu/CulturalHeritage/Orders.aspx

Hi @Mehman97
Depending on if we are importing the data from the Wikipedia lists or directly from the official government source the license of the official source becomes an issue. If it is not CC0 or Public Domain then importing it (or at least all of it) into Wikidata would likely not be ok. In addition to your pdf above I also have access to an excel file from 2016-08-15 which may contain some additional information (assuming numbers haven't changed).

Note that there is nothing stopping us from first importing the data from Wikipedia and then later doing a second pass with the official data (adding sourced wherever they are the same), or indeed from doing it the other way around.

Whichever source we choose the first step is to suggest a new property for the monument id (რეესტრის #) on Wikidata. I put up a base at :d:Wikidata:Property_proposal/Georgian_National_Register_of_Monuments_ID. Please correct any mistakes I might have done and add a translation in Georgian for the title and the description.

The second step would be creating items for the heritage designation. If I remember correctly the two categories are "Monument of National Importance" (~400) or "Monument" (~7000), is that correct? Is the first of these a subset of the second?

Based on T144772: Add Georgia to Monuments database I'm also pinging in @David1010, @Beqabai and @BRUTE

Hi @Lokal_Profil

Unfortunately, our government websites do not use a free license. As for the monuments, you are right, we have all the listed monuments under protection, but some have the status of national importance.

Also I added the translation.
Thanks for the help

Best regards ;)

Lokal_Profil updated the task description. (Show Details)Aug 1 2017, 8:28 PM

Thanks for the translations.

I've created Q34480001 for the "Monuments" type and Q34480057 for the "Monuments of national importance" type. Could you please give them the correct Georgian (and English) names?

Unfortunately, our government websites do not use a free license.

Then I would recommend we do a migration of the data that is currently available in your lists on Wikipedia.

@Lokal_Profil

Done. I translated and edited a little.

@Lokal_Profil
Done. I translated and edited a little.

Thanks. I also set up Q34493121 for the register itself.

@Lokal_Profil
Done. I translated and edited a little.

Thanks. I also set up Q34493121 for the register itself.

Done.

I've updated the mappings at :d:Wikidata:WikiProject_WLM/Mapping_tables/ge_(ka). In the second table some of the entries have questions in the comment field. if you could try to answer them then we are ready for when the property is created.

I've updated the mappings at :d:Wikidata:WikiProject_WLM/Mapping_tables/ge_(ka). In the second table some of the entries have questions in the comment field. if you could try to answer them then we are ready for when the property is created.

I tried to answer the questions as accurately as possible.

In https://www.wikidata.org/wiki/Wikidata:WikiProject_WLM/Mapping_tables/ge_(ka)/types there's a list of all the distinct values of the 'type' field in order of number of occurences. It would be beneficial to fill out the most common ones at least.

I tried to answer the questions as accurately as possible.

Thanks.

  • A clarification on the address field. This is the citty or village that the monument is in but can sometimes also be a full street adress? (note to self then it would be a combination of P276 and P969 depending on the target value,)

For the "type" field Alicia put together the list of most important types to match. On the talk page I put together a "if the word is an article on ka.wikipedia then this is the corresponding Wikidata item". It should hopefully simplify things by allowing copy-pasting but still needs someone who speaks the language to make sure the result is actually suitable for "type".

Is there a fall-back type which we can use for the monuments that dont have a type or where the type is not mapped? I can see that they are not all buildings but are they all e.g. constructions or something similar?

  • A clarification on the address field. This is the citty or village that the monument is in but can sometimes also be a full street adress? (note to self then it would be a combination of P276 and P969 depending on the target value,)

Is there a way to make a quick guess as to whether the value is a street address or not? For example, if it includes a number?

And so I'll start with the fact that some monuments have a complete address with the name of the street and the number of object. If it is specified and there is a full address, then you can specify.
As for the types, here basically some types are available, such as church, dwelling house, mosque, castle, etc.
I am going to gather all the necessary types here (https://www.wikidata.org/wiki/Wikidata:WikiProject_WLM/Mapping_tables/ge_(ka)/types) and leave those that are superfluous, if there are no problems, I want to start.

As for the types, here basically some types are available, such as church, dwelling house, mosque, castle, etc.
I am going to gather all the necessary types here (https://www.wikidata.org/wiki/Wikidata:WikiProject_WLM/Mapping_tables/ge_(ka)/types) and leave those that are superfluous, if there are no problems, I want to start.

Thanks for starting the mapping. Hopefully the second list on the talk page should allow you to just copy-paste the right value in. You don't need to fill in the Notes field with "based on" this was mostly so that you could see where my guess came from =)

Should any type which contains the word "ეროვნული" be a Cultural Monuments of National Importance of Georgia or onlythose of the form "<something>, ეროვნული" ?

A tip for more easily editing the table is to activate Visual editor. On Wikidata you do this by going to the "Beta" link (next to your settings), ticking visual editor then clicking save.

Thanks for the advice!

As for the notation "ეროვნული", this indicates that this object is a monument of National Importance of Georgia.

best regards :)

LilyOfTheWest lowered the priority of this task from High to Normal.Aug 29 2017, 5:32 AM

Hi @Mehman97 uploading the data to Wikidata is now almost ready. d:Wikidata:WikiProject_WLM/Mapping_tables/ge_(ka)/types still contains some fairly common terms which would benefit from being mapped to Wikidata though. The talk page has some suggested mappings but having a native speaker doing the mapping will go along way to avoid importing erroneous information.

Would you mind mapping the most frequently used ones (e.g. 25+ used ones)?

Hi @Lokal_Profil, please tell me whether I understood correctly, I must erase all the less used categories from d:Wikidata:WikiProject_WLM/Mapping_tables/ge_(ka)/types and leave only those that are most used?

Hi @Lokal_Profil, please tell me whether I understood correctly, I must erase all the less used categories from d:Wikidata:WikiProject_WLM/Mapping_tables/ge_(ka)/types and leave only those that are most used?

Sorry for being unclear. Don't remove any of them but for the ones that are most frequently used please add the matching Wikidata item in the Item(s) column.

The preview has been updated and should now also include administrative area or location

Lokal_Profil added a comment.EditedOct 30 2017, 3:42 PM

After a long hiatus bot request is now up at https://www.wikidata.org/wiki/Wikidata:Requests_for_permissions/Bot/AndreCostaWMSE-bot_5 together with the first 5 test edits.

Take a look and approve/disapprove

Effeietsanders closed this task as Resolved.Dec 15 2017, 12:19 AM